Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026748
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-05-30 13:542014-06-10 22:23
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision5c5013dbfa41
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2011-11-09
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/f78b449843e6 [^]
Triggers an Emergency PackNo
Summary

0026748: The Popup Text Match Style on the definition of the selector is not properly used

Descriptionwhen defining the "Popup Text Match Style" field on the selector definition tab with "starts with" the search is done using the "contains" option.

If you write "abc" on the name of the product selector popup the search is done with
%abc% instead of abc%
Steps To Reproduce-Change the definition of the ProductSimple selector by using the option "starts with" on the "Popup Text Match Style" filed-

-Logout and login
-Acess to the sales invoice window
-Define a header and go to the tabs.
[Define the postgresql log to save all the selects executed and reload postgresql]
-Open the product selector popup
-Write abc on the column name
*See on the postgresql log that the select is executed with the following condition:

 and (lower(product1_.Name) like '%abc%') a

TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 00280453.0PR14Q3.2 closedalostale Selectors are not filtering properly when the popup is open 

-  Notes
(0067690)
AugustoMauch (manager)
2014-06-02 18:44

Test plan:

Pick a selector (i.e. the ProductSimple selector, used in the Sales Invoice Lines tab). Test the following combinations:
- Without grid configuration
  * pop up text match style = Contains --> Contains
  * pop up text match style = Starts With --> Starts With
- With grid configuration, Text Field Filter Behavior = iStartsWith
  * pop up text match style = Contains --> iStartsWith
  * pop up text match style = Starts With --> iStartsWith
- With grid configuration, Text Field Filter Behavior = iContains
  * pop up text match style = Contains --> iContains
  * pop up text match style = Starts With --> iContains
(0067691)
hgbot (developer)
2014-06-02 18:54

Repository: erp/devel/pi
Changeset: 5c5013dbfa41371101dfc00dc74a209fd7bd662c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jun 02 18:51:26 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5c5013dbfa41371101dfc00dc74a209fd7bd662c [^]

Fixes issue 26748: Selector popup text match style is taken into account

Now, if there is no grid configuration defined, the value set in the selector popup text match style will be used to select the operator that should be used in the criteria.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0067736)
shankarb (developer)
2014-06-04 09:36

Code reviewed and verified in pi changeset 5c5013dbfa41.
(0067869)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-30 13:54 egoitz New Issue
2014-05-30 13:54 egoitz Assigned To => AugustoMauch
2014-05-30 13:54 egoitz Modules => Core
2014-05-30 13:54 egoitz Resolution time => 1401660000
2014-05-30 13:54 egoitz Triggers an Emergency Pack => No
2014-05-30 13:56 egoitz Tag Attached: Performance
2014-06-02 18:39 AugustoMauch Issue Monitored: shankarb
2014-06-02 18:40 AugustoMauch Review Assigned To => shankarb
2014-06-02 18:41 AugustoMauch Regression level => Production - Confirmed Stable
2014-06-02 18:41 AugustoMauch Regression date => 2011-11-09
2014-06-02 18:41 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/f78b449843e6 [^]
2014-06-02 18:44 AugustoMauch Note Added: 0067690
2014-06-02 18:54 hgbot Checkin
2014-06-02 18:54 hgbot Note Added: 0067691
2014-06-02 18:54 hgbot Status new => resolved
2014-06-02 18:54 hgbot Resolution open => fixed
2014-06-02 18:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5c5013dbfa41371101dfc00dc74a209fd7bd662c [^]
2014-06-04 09:36 shankarb Note Added: 0067736
2014-06-04 09:36 shankarb Status resolved => closed
2014-06-04 09:36 shankarb Fixed in Version => PR14Q3
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067869
2014-11-03 10:31 alostale Relationship added causes 0028045


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker